[Snort-devel] Problems after 1.8.3 upgrade to 1.8.6

Erek Adams erek at ...105...
Fri Apr 12 15:43:01 EDT 2002


On Fri, 12 Apr 2002, Michael Lafreniere wrote:

> Ok ran it with -T and got:

[...snip...]

> ERROR line /root/rules (1) => Unknown rule type: ��

OK, I'm guessing, but...

Something is corrupt somewhere.  :-/  The little "u" thingie isn't normal, and
I didn't get it when I upgraded from the same tar.gz.

Try this:

	vi snort.conf
	:set list

That might show you if there are any wierd characters in that file.  Then
check each of your included rules files the same way.

[...snip...]

> Commenting out this line returns same error.  I've recompiled the source
> code from the fresh tar.gz file I downloaded off the snort site and also
> returns same error.
>
> I also cannot run the old snort, 1.8.3 I did a fresh recompile of it and
> it now comes up with the same errors.

The more you describe it, the more it points towards a odd character in a
.conf or a .rules file.  I hate to say it, but you're going to have to check
them all to be safe.

Ummmm...  And on a side note:  /root/rules _is_ a file and isn't a dir or
symlink right?

[...snip...]

-----
Erek Adams
Nifty-Type-Guy
TheAdamsFamily.Net





More information about the Snort-devel mailing list